![BepInEx logo](https://avatars2.githubusercontent.com/u/39589027?s=256)

# BepInExPack for Outward

This is [BepInEx 5.4.19](https://github.com/BepInEx/BepInEx) pack for Outward. To use this pack, make sure you are on the Mono branch of Outward (unless you're on Epic store). See [here](https://outward.fandom.com/wiki/Installing_Mods) for instructions.

* This version also comes with a `mono_fix` folder for developers which allows for features such as C# Consoles and `System.Reflection.Emit` to function properly.

BepInEx is a general purpose framework for Unity modding.
BepInEx includes tools and libraries to

* load custom code (hereafter *plugins*) into the game on launch;
* patch in-game methods, classes and even entire assemblies without touching original game files;
* configure plugins and log game to desired outputs like console or file;
* manage plugin dependencies.

BepInEx is currently [one of the most popular modding tools for Unity on GitHub](https://github.com/topics/modding?o=desc&s=stars).

## This pack's contents

This pack is preconfigured and usable for Outward modding on Windows x64 systems.

## Installation (manual)

If you are installing this manually, do the following

0. Make sure you are on the Mono branch of Outward (unless you're on Epic store). See [here](https://outward.fandom.com/wiki/Installing_Mods) for instructions.
1. Extract the archive into a folder. **Do not extract into the game folder.**
2. Move the contents of `BepInExPack_Outward` folder into your `Outward` installation folder.
3. It should look like `Outward\BepInEx`, `Outward\winhttp.dll` and `Outward\doorstop_config.ini`.
4. Launch the game, you should see a file created at `Outward\BepInEx\LogOutput.log`

## Useful links

* [BepInEx: writing basic plugin walkthrough](https://bepinex.github.io/bepinex_docs/v5.4.4/articles/dev_guide/plugin_tutorial/index.html)
* [BepInEx: useful plugins for modding](https://bepinex.github.io/bepinex_docs/v5.4.4/articles/dev_guide/dev_tools.html)
* [BepInEx: patching game methods at runtime](https://bepinex.github.io/bepinex_docs/v5.4.4/articles/dev_guide/runtime_patching.html)

## Issues, questions, etc.

You can use the following channels to ask for help

* [Outward Modding Discord](https://discord.gg/AFHMqnjXkZ)
* [BepInEx Discord](https://discord.gg/MpFEDAg) -- **Only technical support for THIS PACKAGE. No support for plugins.**

## Changelog

#### 5.4.8

* Initial release with BepInEx 5.4.8